# Contributing to OpenTok One-to-One Communication Sample Apps

## Code of Conduct

Please read our [Code of Conduct](https://github.com/opentok/one-to-one-sample-apps/blob/master/.github/CONDUCT.md). Intolerance, disrespect, and any of form of negativity will not be tolerated.

## Opening a new issue

1. Read *the entire* [README](https://github.com/opentok/one-to-one-sample-apps/blob/master/README.md).
* Search [open issues](https://github.com/opentok/one-to-one-sample-apps/issues) *and* [closed issues](https://github.com/opentok/one-to-one-sample-apps/issues?q=is%3Aissue+is%3Aclosed) to **avoid opening a duplicate issue.
* If your issue exists and you have some new information to contribute, you may add a comment to its thread.
* Otherwise, open a new issue with a clear title and description.
* Provide **all** of the following information:
  - Library version(s)
  - iOS, Android, or browser version(s)
  - Devices, simulators, or machines affected
  - Expected behavior vs actual behavior
  - Complete steps to reproduce the issue
  - Link to a project that exhibits the issue. It is recommended that you fork the repo and modify the demo project.
  - Screenshots, GIFs, or videos depicting the issue, if applicable.
  - Full crash log, if applicable.
  - A list of all possibly related issues.

## Submitting a pull request

1. Link to the issue that the pull request resolves. If the issue does not exist, create one.
2. Write unit tests that test your changes, if applicable.
3. Update header documentation as needed.
4. Follow the existing coding style. For more information, see [style guidelines](https://github.com/NYTimes/objective-c-style-guide).
5. Resolve any merge conflicts.
6. Squash your commits into a single commit.

## Did you read all of this?

Be sure you have visited all the links in this document.

### New issue checklist

When opening your new issue and filling out the checklist, you'll be asked for confirmation. Confirm that you've read this with these emoji: :muscle::sunglasses::facepunch:

> - [x] I have reviewed the contributing guidelines. Confirmation: :muscle::sunglasses::facepunch:
